"use strict";

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

/**
 * File hayya.js.
 */
(function ($, document, window) {
  if (typeof window === "undefined" || !window.document) {
    (function () {
      throw new Error("Hayya Theme requires a window with a document");
    })();
  }

  var helper = {
    object: {},
    classes: '',
    creatObject: function creatObject(obj) {
      var object;

      switch (obj) {
        case 'body':
          object = document.body;
          break;

        case 'window':
          object = window;
          break;

        default:
          object = obj;
          break;
      }

      this.object = object;
      this.classes = this.object.classList;
      return this;
    },
    css: function css(args) {
      if ('object' === _typeof(args)) {
        for (var key in args) {
          this.object.style[key] = args[key];
        }
      }

      return this;
    },
    // manage class for elements
    addClass: function addClass(c) {
      this.object.classList.add(c);
      return this;
    },
    // manage class for elements
    removeClass: function removeClass(c) {
      this.object.classList.remove(c);
      return this;
    },
    // manage class for elements
    hasClass: function hasClass(c) {
      return this.object.classList.contains(c);
    },
    // adding text to element
    text: function text(_text) {
      var textNode = document.createTextNode(_text);
      this.object.appendChild(textNode);
      return this;
    },
    // manage add attribute(s) for elements
    removeAttr: function removeAttr(attr) {
      this.object.removeAttribute(attr);
      return this;
    },
    // manage add attribute(s) for elements
    setAttr: function setAttr(attr, value) {
      if ('object' === _typeof(attr)) {
        for (var key in attr) {
          this.object.setAttribute(key, attr[key]);
        }
      } else if ('string' === typeof attr) {
        this.object.setAttribute(attr, value);
      }

      return this;
    },
    getSize: function getSize(elem, h, w) {
      return Math.max(elem.documentElement["client" + name], elem.body["scroll" + name], elem.documentElement["scroll" + name], elem.body["offset" + name], elem.documentElement["offset" + name]);
    },
    getPosition: function getPosition() {
      var element = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : null;
      var el = element ? element : this.object;
      var x = 0,
          y = 0;

      while (el && !isNaN(el.offsetLeft) && !isNaN(el.offsetTop)) {
        x += el.offsetLeft - el.scrollLeft;
        y += el.offsetTop - el.scrollTop;
        el = el.offsetParent;
      }

      return {
        top: y,
        left: x
      };
    }
  };

  var _h = function _h(obj) {
    return helper.creatObject(obj);
  };

  var hayyaTheme =
  /*#__PURE__*/
  function () {
    /**
     * Constructs the object.
     */
    function hayyaTheme() {
      _classCallCheck(this, hayyaTheme);

      // Hayya Theme name
      this.name = 'Hayya Theme'; // Hayya Theme version

      this.version = '4.0'; // Hayya Theme description

      this.description = 'Hayya Theme, ', '.';
      this.basic();
      this.gallery();
      this.tabs();
      this.carousel();
      this.flipbox();
      this.primaryMenu();
      this.stickySidebar();
    }
    /**
     * basic actions for HayyaTheme
     */


    _createClass(hayyaTheme, [{
      key: "basic",
      value: function basic() {
        // $( '.input-field > select' ).formSelect()
        $('input#input_text, textarea#textarea1').characterCounter();
        $('.woocommerce_product_thumbnails').carousel();
        $('.hayya-slider').slider();
        $('.collapsible').collapsible();
        $('.carousel').carousel({
          autoplay: true
        });
        $('ul#more_tabs').tabs();
        $('.gallery-carousel').carousel({
          padding: 100
        });
        $('ul#more_tabs').click(function () {
          $('.carousel').carousel('next');
        });
      } // basic ()

      /**
       * flip box function
       */

    }, {
      key: "flipbox",
      value: function flipbox() {
        var side1 = $('.flipbox-side1');
        var side2 = $('.flipbox-side2');

        if (side1.length && side2.length) {
          var height = '100px';
          if (side1.height() > side2.height()) height = side1.height();else height = side2.height();
          $('.flipbox').height(height);
        }
      } // flipbox ():

      /**
       * { function_description }
       */

    }, {
      key: "primaryMenu",
      value: function primaryMenu() {
        var menu = document.querySelector('.hb_menu'); // if ( menus && window.innerWidth < 992 ) {
        //     for ( let i = 0; i < menus.length; i++ ) {

        if (menu && window.innerWidth < 801) {
          var menuMainUL = menu.querySelector('.hb_menu > ul');

          if (menuMainUL) {
            var page_item = menuMainUL.querySelectorAll('.page_item_has_children,.menu-item-has-children'),
                arrow = document.body.classList.contains('rtl') ? 'left' : 'right',
                closeList = document.createElement('LI'),
                _closeLink = document.createElement('A'),
                bodyContainer = document.createElement('DIV'),
                id = menu.getAttribute('id'),
                toggleLink = menu.querySelector('.hb-toggle-menu');

            _h(bodyContainer).addClass('hayyatheme-menu-container').setAttr('data-menu-id', id);

            toggleLink && _h(toggleLink).setAttr('data-menu-id', id);

            for (var j = 0; j < page_item.length; j++) {
              var el = page_item[j];
              var icon = document.createElement('I');

              _h(icon).addClass('fa').addClass('fa-angle-' + arrow);

              el.append(icon);
            }

            _h(_closeLink).setAttr('href', '#').text('+');

            _h(closeList).addClass('hb-menu-close'); //.setAttr('href', '#').text( '+' );


            closeList.append(_closeLink);
            menuMainUL.append(closeList);
            bodyContainer.append(menuMainUL);
            var arrowClick = menuMainUL.querySelectorAll('.page_item_has_children .fa, .menu-item-has-children .fa');
            arrowClick && arrowClick.forEach(function (elem) {
              elem.addEventListener('click', function () {
                if (_h(elem.parentNode).hasClass('open-menu')) {
                  _h(elem.parentNode).removeClass('open-menu');

                  _h(elem).addClass('fa-angle-' + arrow).removeClass('fa-angle-down');
                } else {
                  _h(elem.parentNode).addClass('open-menu');

                  _h(elem).removeClass('fa-angle-' + arrow).addClass('fa-angle-down');
                }
              });
            });
            document.body.append(bodyContainer);
            console.log(bodyContainer);
          }
        }

        var closeContainer = document.body.querySelectorAll('.hayyatheme-menu-container');
        closeContainer && function () {
          var _loop = function _loop(i) {
            var el = closeContainer[i];
            el.addEventListener('click', function (event) {
              event.target.classList.contains('show-mobile-menu') && _h(el).removeClass('show-mobile-menu');
            });
          };

          for (var i = 0; i < closeContainer.length; i++) {
            _loop(i);
          }
        }();
        var closeLink = document.body.querySelectorAll('.hb-menu-close');
        closeLink && closeLink.forEach(function (el) {
          el.addEventListener('click', function (event) {
            event.preventDefault();
            var bodyContainer = document.body.querySelectorAll('.show-mobile-menu');
            bodyContainer && bodyContainer.forEach(function (e) {
              e.classList.contains('show-mobile-menu') && _h(e).removeClass('show-mobile-menu');
            });
          });
        });
        window.addEventListener('load', function () {
          var toggleLink = document.body.querySelectorAll('.hb-toggle-menu');
          toggleLink && toggleLink.forEach(function (toggle) {
            toggle.getAttribute('data-menu-id') && function () {
              var menuID = toggle.getAttribute('data-menu-id');
              var menuContainer = document.body.querySelector('.hayyatheme-menu-container[data-menu-id="' + menuID + '"]');
              menuContainer && toggle.addEventListener('click', function (event) {
                event.preventDefault();

                _h(menuContainer).addClass('show-mobile-menu');

                console.log(menuContainer);
              });
            }();
          });
        });
      } // primaryMenu ()

      /**
       * { function_description }
       */

    }, {
      key: "stickySidebar",
      value: function stickySidebar() {
        if ($('#sticky-sidebar-container').length && $(window).width() >= 601) {
          if ($('#left-content').outerHeight() >= $('#right-sidebar').outerHeight()) {
            var sidebar = $('#sticky-sidebar-container');
            var leftContent = $('#left-content');
            var rightContent = $('#right-content');
            var position = sidebar.position();
            var positionTop = position.top;
            var width = sidebar.outerWidth();
            var height = sidebar.outerHeight();
            var LCHeight = leftContent.outerHeight();
            var LCPosition = leftContent.position();
            var RCHeight = rightContent.outerHeight() + 50;

            if (LCHeight >= RCHeight) {
              $(window).on('scroll', function (e) {
                var scrollTop = $(this).scrollTop();

                if (scrollTop >= positionTop) {
                  sidebar.addClass('sidebar-sticky');
                  sidebar.css('left', position.left);
                  sidebar.css('width', width);
                  var stopAt = LCHeight + LCPosition.top - height * 3;
                  var top = (stopAt - scrollTop) / 3;

                  if (positionTop >= stopAt) {
                    stopAt = LCHeight + LCPosition.top - height;
                    top = stopAt - scrollTop;
                  }

                  if (scrollTop >= stopAt) {
                    sidebar.css('top', top);
                  } else {
                    sidebar.css('top', 0);
                  }
                } else {
                  sidebar.removeClass('sidebar-sticky');
                }
              });
            }
          } // End if().

        } // End if().

      } // stickySidebar ()

      /**
       *    owlCarousel object
       *    @method
       *    @return    {object}    none
       */

    }, {
      key: "carousel",
      value: function carousel() {
        var elements = document.querySelectorAll('.owl-carousel');
        elements.length && elements.forEach(function (element) {
          element.classList && function () {
            var owlAutoplay = element.classList.contains('owl-autoplay');
            var owlHoverPause = element.classList.contains('owl-hover-pause');
            var owlLoop = element.classList.contains('owl-loop');
            var owlNav = element.classList.contains('owl-nav');
            var owlDots = element.classList.contains('owl-dots');
            var owlAutoWidth = element.classList.contains('owl-auto-width');
            var owlAutoHeight = element.classList.contains('owl-auto-height');
            var owlCenter = element.classList.contains('owl-center');
            var defaults = {
              autoplay: owlAutoplay,
              autoplayTimeout: 5000,
              autoplayHoverPause: owlHoverPause,
              stagePadding: 50,
              loop: owlLoop,
              margin: 20,
              nav: owlNav,
              dots: owlDots,
              center: owlCenter,
              autoHeight: owlAutoHeight,
              autoWidth: owlAutoWidth,
              items: 1
            };
            var options = element.getAttribute('data-owl-options') || defaults;
            options['navText'] = {
              navText: ['<i class="material-icons">navigate_before</i>', '<i class="material-icons">navigate_next</i>']
            };
            $(element).owlCarousel(options);
          }();
        });
      } // carousel ()

      /**
       *    HayyaTheme tabs object
       *    @method
       *    @return    {object}    none
       */

    }, {
      key: "tabs",
      value: function tabs() {
        var $vTabs = $('.vertical-tabs');
        $vTabs.each(function () {
          var $this = $(this);
          var $width = $this.find('ul.tabs').width();
          $this.css({
            'min-height': $width
          });
        });
      } // tabs:

    }, {
      key: "gallery",
      value: function gallery() {
        var $galleries = $('.hayya-gallery'),
            i = 1;
        $galleries.each(function () {
          var $this = $(this),
              data = $this.data();
          var options = {
            height: data.galleryHeight || 120,
            rel: data.galleryRel || 'hayya-gallery',
            margins: data.galleryMargins || 0,
            maxWidth: data.galleryMaxwidth || '90%',
            maxHeight: data.galleryMaxheight || '90%',
            transition: data.galleryTransition || 'elastic',
            left: data.galleryLeft || false,
            right: data.galleryRight || false,
            lastRow: 'nojustify',
            opacity: 0.97,
            current: ''
          },
              galleryOptions = {
            rowHeight: options.height,
            rel: options.rel + i,
            margins: options.margins,
            lastRow: options.lastRow,
            right: options.right
          },
              colorboxOptions = {
            maxWidth: options.maxWidth,
            maxHeight: options.maxHeight,
            transition: options.transition,
            opacity: options.opacity,
            current: options.current
          };
          $this.justifiedGallery(galleryOptions).on('jg.complete', function () {
            $this.find('a').colorbox(colorboxOptions);
          });
          $(document).on('cbox_open', function () {
            $(document.body).css('overflow', 'hidden');
          }).on('cbox_closed', function () {
            $(document.body).css('overflow', '');
          });
          i++;
        });
      } // gallery:

    }]);

    return hayyaTheme;
  }();

  new hayyaTheme();
})(jQuery, document, window);