<?php
/**
 * Order tracking form
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/order/form-tracking.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	https://docs.woocommerce.com/document/template-structure/
 * @author  WooThemes
 * @package WooCommerce/Templates
 * @version 3.3.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

global $post;

?>

<form action="<?php echo esc_url( get_permalink( $post->ID ) ); ?>" method="post" class="track_order">

	<p><?php esc_html_e( 'To track your order please enter your Order ID in the box below and press the "Track" button. This was given to you on your receipt and in the confirmation email you should have received.', 'hayya' ); ?></p>

	<div class="input-field form-row form-row-first">
		<i class="material-icons prefix">reorder</i>
		<?php
		$Rorderid = $_REQUEST['orderid'];
		$orderid = null !== $Rorderid ?  sanitize_text_field( wp_unslash( $Rorderid ) ) : '';
		?>
		<input class="input-text" type="text" name="orderid" id="orderid" value="<?php echo esc_attr( $orderid );?>" placeholder="<?php esc_attr_e( 'Found in your order confirmation email.', 'hayya' ); ?>" />

		<label for="orderid"><?php esc_html_e( 'Order ID', 'hayya' ); ?></label>
	</div>
	<div class="input-field form-row form-row-last">
		<i class="material-icons prefix">email</i>
		<?php
		$Rorder_email = $_REQUEST['order_email'];
		$order_email = null !== $Rorder_email ?  sanitize_email( wp_unslash( $Rorder_email ) ) : '';
		?>
		<input class="input-text" type="text" name="order_email" id="order_email" value="<?php echo esc_attr( $order_email );?>" placeholder="<?php esc_attr_e( 'Email you used during checkout.', 'hayya' ); ?>" />

		<label for="order_email"><?php esc_html_e( 'Billing email', 'hayya' ); ?></label>
	</div>
	<div class="clear"></div>

	<div class="form-row">
		<button type="submit" class="button" name="track" value="<?php esc_attr_e( 'Track', 'hayya' ); ?>">
			<?php esc_html_e( 'Track', 'hayya' ); ?>
		</button>
	</div>
	<?php wp_nonce_field( 'woocommerce-order_tracking' ); ?>

</form>
