<?php
/**
 * Single Product Meta
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product/meta.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

global $product;
?>
<div class="product_meta">

	<div class="hb_separator white-shadow separator-mask"><div class="left-separator"></div><div class="right-separator"></div></div>

	<?php do_action( 'woocommerce_product_meta_start' ); ?>

	<?php if ( wc_product_sku_enabled() && ( $product->get_sku() || $product->is_type( 'variable' ) ) ) : ?>

		<span class="sku_wrapper second-color white-text medium-radius"><?php esc_html_e( 'SKU:', 'hayya' ); ?></span>

		<?php
		if ( $product->get_sku() ) {
			$sku = $product->get_sku();
		} else {
			$sku = esc_html__( 'N/A', 'hayya' );
		}
		?>
		<span class="sku first-color second-color-text medium-radius"><?php echo wp_kses_post( $sku ); ?></span>

	<?php endif; ?>

	<?php
	echo wp_kses_post( wc_get_product_category_list( $product->get_id(), ', ', '<br/><span class="posted_in second-color white-text medium-radius">' . _n( 'Category:', 'Categories:', count( $product->get_category_ids() ), 'hayya' ) . '</span><span class="categories first-color second-color-text medium-radius"> ', '</span>' ) );
	?>

	<?php echo wp_kses_post( wc_get_product_tag_list( $product->get_id(), ', ', '<br/><span class="tagged_as second-color white-text medium-radius">' . _n( 'Tag:', 'Tags:', count( $product->get_tag_ids() ), 'hayya' ) . ' </span><span class="tagged_as first-color second-color-text medium-radius"> ', '</span>' ) ); ?>

	<?php do_action( 'woocommerce_product_meta_end' ); ?>

	<div class="hb_separator white-shadow separator-mask"><div class="left-separator"></div><div class="right-separator"></div></div>
</div>
